## x264 0.148.2643+git5c65704

=== Makefile ===
# Makefile

include config.mak

vpath %.c $(SRCPATH)
vpath %.h $(SRCPATH)
vpath %.S $(SRCPATH)
vpath %.asm $(SRCPATH)
vpath %.rc $(SRCPATH)

GENERATED =

all: default
default:

SRCS = common/mc.c common/predict.c common/pixel.c common/macroblock.c \
       common/frame.c common/dct.c common/cpu.c common/cabac.c \
       common/common.c common/osdep.c common/rectangle.c \
       common/set.c common/quant.c common/deblock.c common/vlc.c \
       common/mvpred.c common/bitstream.c \
       encoder/analyse.c encoder/me.c encoder/ratecontrol.c \
       encoder/set.c encoder/macroblock.c encoder/cabac.c \
       encoder/cavlc.c encoder/encoder.c encoder/lookahead.c

SRCCLI = x264.c input/input.c input/timecode.c input/raw.c input/y4m.c \
         output/raw.c output/matroska.c output/matroska_ebml.c \
         output/flv.c output/flv_bytestream.c filters/filters.c \
         filters/video/video.c filters/video/source.c filters/video/internal.c \
         filters/video/resize.c filters/video/cache.c filters/video/fix_vfr_pts.c \
         filters/video/select_every.c filters/video/crop.c filters/video/depth.c

SRCSO =
OBJS =
OBJSO =
OBJCLI =

OBJCHK = tools/checkasm.o

OBJEXAMPLE = example.o

CONFIG := $(shell cat config.h)

# GPL-only files
ifneq ($(findstring HAVE_GPL 1, $(CONFIG)),)
SRCCLI +=
endif

# Optional module sources
ifneq ($(findstring HAVE_AVS 1, $(CONFIG)),)
SRCCLI += input/avs.c
endif

ifneq ($(findstring HAVE_THREAD 1, $(CONFIG)),)
SRCCLI += input/thread.c
SRCS   += common/threadpool.c
endif

ifneq ($(findstring HAVE_WIN32THREAD 1, $(CONFIG)),)
SRCS += common/win32thread.c
endif

ifneq ($(findstring HAVE_LAVF 1, $(CONFIG)),)
SRCCLI += input/lavf.c
endif

ifneq ($(findstring HAVE_FFMS 1, $(CONFIG)),)
SRCCLI += input/ffms.c
endif

ifneq ($(findstring HAVE_GPAC 1, $(CONFIG)),)
SRCCLI += output/mp4.c
endif

ifneq ($(findstring HAVE_LSMASH 1, $(CONFIG)),)
SRCCLI += output/mp4_lsmash.c
endif

# MMX/SSE optims
ifneq ($(AS),)
X86SRC0 = const-a.asm cabac-a.asm dct-a.asm deblock-a.asm mc-a.asm \
          mc-a2.asm pixel-a.asm predict-a.asm quant-a.asm \
          cpu-a.asm dct-32.asm bitstream-a.asm
ifneq ($(findstring HIGH_BIT_DEPTH, $(CONFIG)),)
X86SRC0 += sad16-a.asm
else
X86SRC0 += sad-a.asm
endif
X86SRC = $(X86SRC0:%=common/x86/%)

ifeq ($(SYS_ARCH),X86)
ARCH_X86 = yes
ASMSRC   = $(X86SRC) common/x86/pixel-32.asm
endif

ifeq ($(SYS_ARCH),X86_64)
ARCH_X86 = yes
ASMSRC   = $(X86SRC:-32.asm=-64.asm) common/x86/trellis-64.asm
endif

ifdef ARCH_X86
SRCS   += common/x86/mc-c.c common/x86/predict-c.c
OBJASM  = $(ASMSRC:%.asm=%.o)
$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
OBJCHK += tools/checkasm-a.o
endif
endif

# AltiVec optims
ifeq ($(SYS_ARCH),PPC)
ifneq ($(AS),)
SRCS += common/ppc/mc.c common/ppc/pixel.c common/ppc/dct.c \
        common/ppc/quant.c common/ppc/deblock.c \
        common/ppc/predict.c
endif
endif

# NEON optims
ifeq ($(SYS_ARCH),ARM)
ifneq ($(AS),)
ASMSRC += common/arm/cpu-a.S common/arm/pixel-a.S common/arm/mc-a.S \
          common/arm/dct-a.S common/arm/quant-a.S common/arm/deblock-a.S \
          common/arm/predict-a.S common/arm/bitstream-a.S
SRCS   += common/arm/mc-c.c common/arm/predict-c.c
OBJASM  = $(ASMSRC:%.S=%.o)
OBJCHK += tools/checkasm-arm.o
endif
endif

# AArch64 NEON optims
ifeq ($(SYS_ARCH),AARCH64)
ifneq ($(AS),)
ASMSRC += common/aarch64/bitstream-a.S \
          common/aarch64/cabac-a.S     \
          common/aarch64/dct-a.S     \
          common/aarch64/deblock-a.S \
          common/aarch64/mc-a.S      \
          common/aarch64/pixel-a.S   \
          common/aarch64/predict-a.S \
          common/aarch64/quant-a.S
SRCS   += common/aarch64/asm-offsets.c \
          common/aarch64/mc-c.c        \
          common/aarch64/predict-c.c
OBJASM  = $(ASMSRC:%.S=%.o)
OBJCHK += tools/checkasm-aarch64.o
endif
endif

# MSA optims
ifeq ($(SYS_ARCH),MIPS)
ifneq ($(findstring HAVE_MSA 1, $(CONFIG)),)
SRCS += common/mips/mc-c.c common/mips/dct-c.c \
        common/mips/deblock-c.c common/mips/pixel-c.c \
        common/mips/predict-c.c common/mips/quant-c.c
endif
endif

ifneq ($(HAVE_GETOPT_LONG),1)
SRCCLI += extras/getopt.c
endif

ifeq ($(SYS),WINDOWS)
OBJCLI += $(if $(RC), x264res.o)
ifneq ($(SONAME),)
SRCSO  += x264dll.c
OBJSO  += $(if $(RC), x264res.dll.o)
endif
endif

ifeq ($(HAVE_OPENCL),yes)
common/oclobj.h: common/opencl/x264-cl.h $(wildcard $(SRCPATH)/common/opencl/*.cl)
	cat $^ | $(SRCPATH)/tools/cltostr.sh $@
GENERATED += common/oclobj.h
SRCS += common/opencl.c encoder/slicetype-cl.c
endif

OBJS   += $(SRCS:%.c=%.o)
OBJCLI += $(SRCCLI:%.c=%.o)
OBJSO  += $(SRCSO:%.c=%.o)

.PHONY: all default fprofiled clean distclean install install-* uninstall cli lib-* etags

cli: x264$(EXE)
lib-static: $(LIBX264)
lib-shared: $(SONAME)

$(LIBX264): $(GENERATED) .depend $(OBJS) $(OBJASM)
	rm -f $(LIBX264)
	$(AR)$@ $(OBJS) $(OBJASM)
	$(if $(RANLIB), $(RANLIB) $@)

$(SONAME): $(GENERATED) .depend $(OBJS) $(OBJASM) $(OBJSO)
	$(LD)$@ $(OBJS) $(OBJASM) $(OBJSO) $(SOFLAGS) $(LDFLAGS)

ifneq ($(EXE),)
.PHONY: x264 checkasm example
x264: x264$(EXE)
checkasm: checkasm$(EXE)
example: example$(EXE)
endif

x264$(EXE): $(GENERATED) .depend $(OBJCLI) $(CLI_LIBX264)
	$(LD)$@ $(OBJCLI) $(CLI_LIBX264) $(LDFLAGSCLI) $(LDFLAGS)

checkasm$(EXE): $(GENERATED) .depend $(OBJCHK) $(LIBX264)
	$(LD)$@ $(OBJCHK) $(LIBX264) $(LDFLAGS)

example$(EXE): $(GENERATED) .depend $(OBJEXAMPLE) $(LIBX264)
	$(LD)$@ $(OBJEXAMPLE) $(LIBX264) $(LDFLAGS)

$(OBJS) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK) $(OBJEXAMPLE): .depend

%.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.o: %.S
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.dll.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ -DDLL $<

%.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ $<

.depend: config.mak
	@rm -f .depend
	@echo 'dependency file generation...'
ifeq ($(COMPILER),CL)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.c=%.o)" 1>> .depend;)
else
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.c=%.o) $(DEPMM) 1>> .depend;)
endif

config.mak:
	./configure

depend: .depend
ifneq ($(wildcard .depend),)
include .depend
endif

SRC2 = $(SRCS) $(SRCCLI)
# These should cover most of the important codepaths
OPT0 = --crf 30 -b1 -m1 -r1 --me dia --no-cabac --direct temporal --ssim --no-weightb
OPT1 = --crf 16 -b2 -m3 -r3 --me hex --no-8x8dct --direct spatial --no-dct-decimate -t0  --slice-max-mbs 50
OPT2 = --crf 26 -b4 -m5 -r2 --me hex --cqm jvt --nr 100 --psnr --no-mixed-refs --b-adapt 2 --slice-max-size 1500
OPT3 = --crf 18 -b3 -m9 -r5 --me umh -t1 -A all --b-pyramid normal --direct auto --no-fast-pskip --no-mbtree
OPT4 = --crf 22 -b3 -m7 -r4 --me esa -t2 -A all --psy-rd 1.0:1.0 --slices 4
OPT5 = --frames 50 --crf 24 -b3 -m10 -r3 --me tesa -t2
OPT6 = --frames 50 -q0 -m9 -r2 --me hex -Aall
OPT7 = --frames 50 -q0 -m2 -r1 --me hex --no-cabac

ifeq (,$(VIDS))
fprofiled:
	@echo 'usage: make fprofiled VIDS="infile1 infile2 ..."'
	@echo 'where infiles are anything that x264 understands,'
	@echo 'i.e. YUV with resolution in the filename, y4m, or avisynth.'
else
fprofiled:
	$(MAKE) clean
	$(MAKE) x264$(EXE) CFLAGS="$(CFLAGS) $(PROF_GEN_CC)" LDFLAGS="$(LDFLAGS) $(PROF_GEN_LD)"
	$(foreach V, $(VIDS), $(foreach I, 0 1 2 3 4 5 6 7, ./x264$(EXE) $(OPT$I) --threads 1 $(V) -o $(DEVNULL) ;))
ifeq ($(COMPILER),CL)
# Because Visual Studio timestamps the object files within the PGD, it fails to build if they change - only the executable should be deleted
	rm -f x264$(EXE)
else
	rm -f $(SRC2:%.c=%.o)
endif
	$(MAKE) CFLAGS="$(CFLAGS) $(PROF_USE_CC)" LDFLAGS="$(LDFLAGS) $(PROF_USE_LD)"
	rm -f $(SRC2:%.c=%.gcda) $(SRC2:%.c=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock *.pgd *.pgc
endif

clean:
	rm -f $(OBJS) $(OBJASM) $(OBJCLI) $(OBJSO) $(SONAME) *.a *.lib *.exp *.pdb x264 x264.exe .depend TAGS
	rm -f checkasm checkasm.exe $(OBJCHK) $(GENERATED) x264_lookahead.clbin
	rm -f example example.exe $(OBJEXAMPLE)
	rm -f $(SRC2:%.c=%.gcda) $(SRC2:%.c=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock *.pgd *.pgc

distclean: clean
	rm -f config.mak x264_config.h config.h config.log x264.pc x264.def conftest*

install-cli: cli
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) x264$(EXE) $(DESTDIR)$(bindir)

install-lib-dev:
	$(INSTALL) -d $(DESTDIR)$(includedir)
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 644 $(SRCPATH)/x264.h $(DESTDIR)$(includedir)
	$(INSTALL) -m 644 x264_config.h $(DESTDIR)$(includedir)
	$(INSTALL) -m 644 x264.pc $(DESTDIR)$(libdir)/pkgconfig

install-lib-static: lib-static install-lib-dev
	$(INSTALL) -m 644 $(LIBX264) $(DESTDIR)$(libdir)
	$(if $(RANLIB), $(RANLIB) $(DESTDIR)$(libdir)/$(LIBX264))

install-lib-shared: lib-shared install-lib-dev
ifneq ($(IMPLIBNAME),)
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) -m 755 $(SONAME) $(DESTDIR)$(bindir)
	$(INSTALL) -m 644 $(IMPLIBNAME) $(DESTDIR)$(libdir)
else ifneq ($(SONAME),)
	ln -f -s $(SONAME) $(DESTDIR)$(libdir)/libx264.$(SOSUFFIX)
	$(INSTALL) -m 755 $(SONAME) $(DESTDIR)$(libdir)
endif

uninstall:
	rm -f $(DESTDIR)$(includedir)/x264.h $(DESTDIR)$(includedir)/x264_config.h $(DESTDIR)$(libdir)/libx264.a
	rm -f $(DESTDIR)$(bindir)/x264$(EXE) $(DESTDIR)$(libdir)/pkgconfig/x264.pc
ifneq ($(IMPLIBNAME),)
	rm -f $(DESTDIR)$(bindir)/$(SONAME) $(DESTDIR)$(libdir)/$(IMPLIBNAME)
else ifneq ($(SONAME),)
	rm -f $(DESTDIR)$(libdir)/$(SONAME) $(DESTDIR)$(libdir)/libx264.$(SOSUFFIX)
endif

etags: TAGS

TAGS:
	etags $(SRCS)

=== debian/changelog ===
x264 (2:0.148.2643+git5c65704-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2643+git5c65704
  * Refresh properly_detect_x32.patch

  [ Sebastian Ramacher ]
  * debian/confflags: No longer filter -g since we have automatic dbgsym
    packages now.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 18 Jan 2016 18:36:02 +0100

x264 (2:0.148.2601+gita0cd7d3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Nov 2015 19:42:10 +0100

x264 (2:0.148.2601+gita0cd7d3-2) experimental; urgency=medium

  * Pass --disable-asm while building on mips, mipsel, mips64el
    (Closes: #802550)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Oct 2015 12:27:32 +0200

x264 (2:0.148.2601+gita0cd7d3-1) experimental; urgency=medium

  * Update to new stable upstream
  * Imported Upstream version 0.148.2601+gita0cd7d3
  * Update debian/control for soname bump
  * Refresh patches and drop aarch64 build-fix

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 14 Oct 2015 20:26:50 +0200

=== debian/control ===
Source: x264
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends:
 debhelper (>= 9.20141010),
 autotools-dev,
 dpkg-dev (>= 1.17.14),
 libavformat-dev (>= 6:9) <!stage1>,
 libffms2-dev <!stage1>,
 libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
 yasm [any-i386 any-amd64]
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
Homepage: http://www.videolan.org/developers/x264.html

Package: x264
Section: graphics
Architecture: any
Build-Profiles: <!stage1>
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: video encoder for the H.264/MPEG-4 AVC standard
 x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 x264 supports the following features:
  * CABAC (context-based adaptive binary arithmetic coding) and CAVLC
    (context-based adaptive variable length coding
  * multiple reference frames
  * 16x16, 8x8 and 4x4 intra-predicted macroblocks
  * all P-frame inter-predicted macroblock types
  * B-Inter-predicted macroblock types from 16x16 down to 8x8
  * rate distortion optimization
  * multiple rate control modes (constant quantizer, constant quality, single
    or multipass ABR with the option of VBV)
  * scene cut detection
  * adaptive B-frame placement, with the option of keeping B-frames as
    references / arbitrary frame order
  * 8x8 and 4x4 adaptive spatial transform (high profile)
  * lossless mode (high 4:4:4 profile)
  * custom quantization matrices (high profile)
  * parallel encoding on multiple CPUs
  * interlaced streams

Package: libx264-148
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: x264 video coding library
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the libx264 shared library.

Package: libx264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libx264-148 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libx264
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the static library and headers used to build programs
 that use libx264.

=== debian/rules ===
#!/usr/bin/make -f

libx264N := libx264-$(shell awk '/\#define X264_BUILD/{print $$3}' x264.h)

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

include debian/confflags

DH_INSTALL_FILES = debian/$(libx264N).install \
                   debian/libx264-dev.install

%:
	dh $@ --parallel --with autotools_dev

.PHONY: debian/control
debian/control:
	sed -e 's/@libx264N@/$(libx264N)/g' $@.in > $@

$(DH_INSTALL_FILES):
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $(subst $(libx264N),libx264N,$@).in > $@

override_dh_auto_build:
	# Build static lib
	LDFLAGS="$(LDFLAGS)" ./configure $(static_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/static
	$(MAKE) distclean
	# Build shared lib
	CFLAGS="$(shared_extra_cflags)" LDFLAGS="$(LDFLAGS)" ./configure $(shared_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/shared
ifeq ($(do_opt),yes)
	$(MAKE) distclean
	# Build opt lib
	LDFLAGS="$(LDFLAGS)" ./configure $(opt_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/opt
endif
	# now do the 10 bit builds
	$(MAKE) distclean
	CFLAGS="$(shared_extra_cflags)" LDFLAGS="$(LDFLAGS)" ./configure $(shared_confflags) --bit-depth=10 \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	install -d -m755 $(CURDIR)/debian/install/shared/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
	install -m755 libx264.so.* $(CURDIR)/debian/install/shared/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
	sed -e 's,@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH),' \
		debian/x264-10bit.in > $(CURDIR)/debian/install/shared/usr/bin/x264-10bit
	chmod 755 $(CURDIR)/debian/install/shared/usr/bin/x264-10bit
ifeq ($(do_opt),yes)
	$(MAKE) distclean
	# Build opt lib
	LDFLAGS="$(LDFLAGS)" ./configure $(opt_confflags) --bit-depth=10 \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	install -d -m755 $(CURDIR)/debian/install/opt/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
	install -m755 libx264.so.* $(CURDIR)/debian/install/opt/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
endif

override_dh_auto_configure:
	# dh_auto_configure phase handled via dh_auto_build.

override_dh_auto_install:
	# dh_auto_install phase handled via dh_auto_build.

override_dh_auto_clean: debian/control
	rm -rf debian/install
	$(MAKE) -o config.mak distclean
	dh_clean config.mak2 $(DH_INSTALL_FILES)

override_dh_install: $(DH_INSTALL_FILES)
	dh_install --list-missing --sourcedir=debian/install
ifeq ($(do_opt),yes)
	mkdir -p debian/$(libx264N)$(opt_libdir)
	cp -a debian/install/opt$(opt_libdir)/*.so.* debian/$(libx264N)$(opt_libdir)
endif

debian/x264.1: build
	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/install/shared/usr/lib/$(DEB_HOST_MULTIARCH)" \
	help2man -n "fast h264 encoder" -N -s1 -S "Videolan project" -h '--fullhelp' \
		debian/install/shared/usr/bin/x264 > debian/x264.1

=== debian/tests/control ===
Tests: encode-testimage
Depends: libav-tools (>> 6:10~), x264
Restrictions: allow-stderr

## x264 0.148.2699+gita5e06b9

=== debian/changelog ===
x264 (2:0.148.2699+gita5e06b9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Wed, 03 Aug 2016 16:14:04 +0200

x264 (2:0.148.2699+gita5e06b9-1) unstable; urgency=medium

  * Update to new stable upstream
  * Imported Upstream version 0.148.2699+gita5e06b9

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 14 Jun 2016 08:20:58 +0200

x264 (2:0.148.2668+gitfd2c324-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/rules: Update comment.
  * debian/control.in:
    - Update Vcs-*.
    - Bump Standards-Version.

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2668+gitfd2c324

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 12 May 2016 11:12:16 +0200

## x264 0.148.2708+git86b7198

=== debian/changelog ===
x264 (2:0.148.2708+git86b7198-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Fri, 07 Oct 2016 23:52:43 +0200

x264 (2:0.148.2708+git86b7198-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * autopkgtest: Use ffmpeg/ffprobe instead of deprecated avconv/avprobe
  * autopkgtest: Use $ADTTMP instead of own tmp directory
  * autopkgtest: Check if produced file is H.264

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2708+git86b7198

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass cross flags to configure. (Closes: #838317)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Sep 2016 22:59:37 +0200

=== debian/tests/control ===
Tests: encode-testimage
Depends: ffmpeg, x264
Restrictions: allow-stderr

## x264 0.148.2748+git97eaef2

=== debian/changelog ===
x264 (2:0.148.2748+git97eaef2-1) unstable; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.148.2748+git97eaef2
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 25 Jan 2017 10:40:48 +0100

x264 (2:0.148.2728+git4d5c8b0-1) unstable; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.148.2728+git4d5c8b0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 08 Dec 2016 09:36:51 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
  libffms2-dev <!stage1>,
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  yasm [any-i386 any-amd64]
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/x264.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/x264.git
 Homepage: http://www.videolan.org/developers/x264.html
 
 Package: x264

=== debian/watch ===
# x264 currently does not have any releases

## x264 0.148.2795+gitaaa9aa8

=== debian/changelog ===
x264 (2:0.148.2795+gitaaa9aa8-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.148.2795+gitaaa9aa8
  * Regenerate manpage
  * Update copyright years

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 28 Jun 2017 08:31:44 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libffms2-dev <!stage1>,
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  yasm [any-i386 any-amd64]
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/x264.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/x264.git
 Homepage: http://www.videolan.org/developers/x264.html

## x264 0.152.2854+gite9a5903

=== debian/changelog ===
x264 (2:0.152.2854+gite9a5903-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Jan 2018 12:36:28 +0100

x264 (2:0.152.2854+gite9a5903-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.152.2854+gite9a5903
  * Require nasm (>= 2.13) instead of yasm
  * Update debian/control for soname bump
  * Regenerate manpage

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Pre-Depends.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 05 Jan 2018 12:14:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends:
- debhelper (>= 9.20141010),
- autotools-dev,
+ debhelper (>= 9.20160115),
  dpkg-dev (>= 1.17.14),
  libavformat-dev (>= 6:9) <!stage1>,
  libffms2-dev <!stage1>,
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
- yasm [any-i386 any-amd64]
-Standards-Version: 4.0.0
+ nasm (>= 2.13) [any-i386 any-amd64]
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/x264.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/x264.git
 Homepage: http://www.videolan.org/developers/x264.html
@@ -49,10 +48,9 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-148
+Package: libx264-152
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -67,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-148 (= ${binary:Version}),
+ libx264-152 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
                    debian/libx264-dev.install
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel
 
 .PHONY: debian/control
 debian/control:

## x264 0.155.2917+git0a84d98

=== Makefile ===
# Makefile

include config.mak

vpath %.c $(SRCPATH)
vpath %.h $(SRCPATH)
vpath %.S $(SRCPATH)
vpath %.asm $(SRCPATH)
vpath %.rc $(SRCPATH)

GENERATED =

all: default
default:

SRCS = common/osdep.c common/base.c common/cpu.c common/tables.c \
       encoder/api.c

SRCS_X = common/mc.c common/predict.c common/pixel.c common/macroblock.c \
         common/frame.c common/dct.c common/cabac.c \
         common/common.c common/rectangle.c \
         common/set.c common/quant.c common/deblock.c common/vlc.c \
         common/mvpred.c common/bitstream.c \
         encoder/analyse.c encoder/me.c encoder/ratecontrol.c \
         encoder/set.c encoder/macroblock.c encoder/cabac.c \
         encoder/cavlc.c encoder/encoder.c encoder/lookahead.c

SRCS_8 =

SRCCLI = x264.c input/input.c input/timecode.c input/raw.c input/y4m.c \
         output/raw.c output/matroska.c output/matroska_ebml.c \
         output/flv.c output/flv_bytestream.c filters/filters.c \
         filters/video/video.c filters/video/source.c filters/video/internal.c \
         filters/video/resize.c filters/video/fix_vfr_pts.c \
         filters/video/select_every.c filters/video/crop.c

SRCCLI_X = filters/video/cache.c filters/video/depth.c

SRCSO =

SRCCHK_X = tools/checkasm.c

SRCEXAMPLE = example.c

OBJS =
OBJASM =
OBJSO =
OBJCLI =
OBJCHK =
OBJCHK_8 =
OBJCHK_10 =
OBJEXAMPLE =

CONFIG := $(shell cat config.h)

# GPL-only files
ifneq ($(findstring HAVE_GPL 1, $(CONFIG)),)
SRCCLI +=
endif

# Optional module sources
ifneq ($(findstring HAVE_AVS 1, $(CONFIG)),)
SRCCLI += input/avs.c
endif

ifneq ($(findstring HAVE_THREAD 1, $(CONFIG)),)
SRCS_X   += common/threadpool.c
SRCCLI_X += input/thread.c
endif

ifneq ($(findstring HAVE_WIN32THREAD 1, $(CONFIG)),)
SRCS += common/win32thread.c
endif

ifneq ($(findstring HAVE_LAVF 1, $(CONFIG)),)
SRCCLI += input/lavf.c
endif

ifneq ($(findstring HAVE_FFMS 1, $(CONFIG)),)
SRCCLI += input/ffms.c
endif

ifneq ($(findstring HAVE_GPAC 1, $(CONFIG)),)
SRCCLI += output/mp4.c
endif

ifneq ($(findstring HAVE_LSMASH 1, $(CONFIG)),)
SRCCLI += output/mp4_lsmash.c
endif

ifneq ($(AS),)

# MMX/SSE optims
SRCASM_X =
ifeq ($(SYS_ARCH),X86)
ARCH_X86 = yes
SRCASM_X += common/x86/dct-32.asm \
            common/x86/pixel-32.asm
endif
ifeq ($(SYS_ARCH),X86_64)
ARCH_X86 = yes
SRCASM_X += common/x86/dct-64.asm \
            common/x86/trellis-64.asm
endif

ifdef ARCH_X86
SRCASM_X += common/x86/bitstream-a.asm \
            common/x86/const-a.asm \
            common/x86/cabac-a.asm \
            common/x86/dct-a.asm \
            common/x86/deblock-a.asm \
            common/x86/mc-a.asm \
            common/x86/mc-a2.asm \
            common/x86/pixel-a.asm \
            common/x86/predict-a.asm \
            common/x86/quant-a.asm
SRCS_X   += common/x86/mc-c.c \
            common/x86/predict-c.c

OBJASM += common/x86/cpu-a.o
ifneq ($(findstring HAVE_BITDEPTH8 1, $(CONFIG)),)
OBJASM += $(SRCASM_X:%.asm=%-8.o) common/x86/sad-a-8.o
endif
ifneq ($(findstring HAVE_BITDEPTH10 1, $(CONFIG)),)
OBJASM += $(SRCASM_X:%.asm=%-10.o) common/x86/sad16-a-10.o
endif

OBJCHK += tools/checkasm-a.o
endif

# AltiVec optims
ifeq ($(SYS_ARCH),PPC)
SRCS_X += common/ppc/dct.c \
          common/ppc/deblock.c \
          common/ppc/mc.c \
          common/ppc/pixel.c \
          common/ppc/predict.c \
          common/ppc/quant.c
endif

# NEON optims
ifeq ($(SYS_ARCH),ARM)
SRCASM_X  = common/arm/bitstream-a.S \
            common/arm/dct-a.S \
            common/arm/deblock-a.S \
            common/arm/mc-a.S \
            common/arm/pixel-a.S \
            common/arm/predict-a.S \
            common/arm/quant-a.S
SRCS_X   += common/arm/mc-c.c \
            common/arm/predict-c.c

OBJASM += common/arm/cpu-a.o
ifneq ($(findstring HAVE_BITDEPTH8 1, $(CONFIG)),)
OBJASM += $(SRCASM_X:%.S=%-8.o)
endif
ifneq ($(findstring HAVE_BITDEPTH10 1, $(CONFIG)),)
OBJASM += $(SRCASM_X:%.S=%-10.o)
endif

OBJCHK += tools/checkasm-arm.o
endif

# AArch64 NEON optims
ifeq ($(SYS_ARCH),AARCH64)
SRCASM_X  = common/aarch64/bitstream-a.S \
            common/aarch64/cabac-a.S \
            common/aarch64/dct-a.S \
            common/aarch64/deblock-a.S \
            common/aarch64/mc-a.S \
            common/aarch64/pixel-a.S \
            common/aarch64/predict-a.S \
            common/aarch64/quant-a.S
SRCS_X   += common/aarch64/asm-offsets.c \
            common/aarch64/mc-c.c \
            common/aarch64/predict-c.c

OBJASM +=
ifneq ($(findstring HAVE_BITDEPTH8 1, $(CONFIG)),)
OBJASM += $(SRCASM_X:%.S=%-8.o)
endif
ifneq ($(findstring HAVE_BITDEPTH10 1, $(CONFIG)),)
OBJASM += $(SRCASM_X:%.S=%-10.o)
endif

OBJCHK += tools/checkasm-aarch64.o
endif

# MSA optims
ifeq ($(SYS_ARCH),MIPS)
ifneq ($(findstring HAVE_MSA 1, $(CONFIG)),)
SRCS_X += common/mips/dct-c.c \
          common/mips/deblock-c.c \
          common/mips/mc-c.c \
          common/mips/pixel-c.c \
          common/mips/predict-c.c \
          common/mips/quant-c.c
endif
endif

endif

ifneq ($(HAVE_GETOPT_LONG),1)
SRCCLI += extras/getopt.c
endif

ifeq ($(SYS),WINDOWS)
OBJCLI += $(if $(RC), x264res.o)
ifneq ($(SONAME),)
SRCSO  += x264dll.c
OBJSO  += $(if $(RC), x264res.dll.o)
endif
endif

ifeq ($(HAVE_OPENCL),yes)
common/oclobj.h: common/opencl/x264-cl.h $(wildcard $(SRCPATH)/common/opencl/*.cl)
	cat $^ | $(SRCPATH)/tools/cltostr.sh $@
GENERATED += common/oclobj.h
SRCS_8 += common/opencl.c encoder/slicetype-cl.c
endif

OBJS   += $(SRCS:%.c=%.o)
OBJCLI += $(SRCCLI:%.c=%.o)
OBJSO  += $(SRCSO:%.c=%.o)
OBJEXAMPLE += $(SRCEXAMPLE:%.c=%.o)

ifneq ($(findstring HAVE_BITDEPTH8 1, $(CONFIG)),)
OBJS      += $(SRCS_X:%.c=%-8.o) $(SRCS_8:%.c=%-8.o)
OBJCLI    += $(SRCCLI_X:%.c=%-8.o)
OBJCHK_8  += $(SRCCHK_X:%.c=%-8.o)
checkasm: checkasm8$(EXE)
endif
ifneq ($(findstring HAVE_BITDEPTH10 1, $(CONFIG)),)
OBJS      += $(SRCS_X:%.c=%-10.o)
OBJCLI    += $(SRCCLI_X:%.c=%-10.o)
OBJCHK_10 += $(SRCCHK_X:%.c=%-10.o)
checkasm: checkasm10$(EXE)
endif

.PHONY: all default fprofiled clean distclean install install-* uninstall cli lib-* checkasm etags

cli: x264$(EXE)
lib-static: $(LIBX264)
lib-shared: $(SONAME)

$(LIBX264): $(GENERATED) .depend $(OBJS) $(OBJASM)
	rm -f $(LIBX264)
	$(AR)$@ $(OBJS) $(OBJASM)
	$(if $(RANLIB), $(RANLIB) $@)

$(SONAME): $(GENERATED) .depend $(OBJS) $(OBJASM) $(OBJSO)
	$(LD)$@ $(OBJS) $(OBJASM) $(OBJSO) $(SOFLAGS) $(LDFLAGS)

ifneq ($(EXE),)
.PHONY: x264 checkasm8 checkasm10 example
x264: x264$(EXE)
checkasm8: checkasm8$(EXE)
checkasm10: checkasm10$(EXE)
example: example$(EXE)
endif

x264$(EXE): $(GENERATED) .depend $(OBJCLI) $(CLI_LIBX264)
	$(LD)$@ $(OBJCLI) $(CLI_LIBX264) $(LDFLAGSCLI) $(LDFLAGS)

checkasm8$(EXE): $(GENERATED) .depend $(OBJCHK) $(OBJCHK_8) $(LIBX264)
	$(LD)$@ $(OBJCHK) $(OBJCHK_8) $(LIBX264) $(LDFLAGS)

checkasm10$(EXE): $(GENERATED) .depend $(OBJCHK) $(OBJCHK_10) $(LIBX264)
	$(LD)$@ $(OBJCHK) $(OBJCHK_10) $(LIBX264) $(LDFLAGS)

example$(EXE): $(GENERATED) .depend $(OBJEXAMPLE) $(LIBX264)
	$(LD)$@ $(OBJEXAMPLE) $(LIBX264) $(LDFLAGS)

$(OBJS) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK) $(OBJCHK_8) $(OBJCHK_10) $(OBJEXAMPLE): .depend

%.o: %.c
	$(CC) $(CFLAGS) -c $< $(CC_O)

%-8.o: %.c
	$(CC) $(CFLAGS) -c $< $(CC_O) -DHIGH_BIT_DEPTH=0 -DBIT_DEPTH=8

%-10.o: %.c
	$(CC) $(CFLAGS) -c $< $(CC_O) -DHIGH_BIT_DEPTH=1 -DBIT_DEPTH=10

%.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%-8.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
	$(AS) $(ASFLAGS) -o $@ $< -DBIT_DEPTH=8 -Dprivate_prefix=x264_8
	-@ $(if $(STRIP), $(STRIP) -x $@)

%-10.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
	$(AS) $(ASFLAGS) -o $@ $< -DBIT_DEPTH=10 -Dprivate_prefix=x264_10
	-@ $(if $(STRIP), $(STRIP) -x $@)

%.o: %.S
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%-8.o: %.S
	$(AS) $(ASFLAGS) -o $@ $< -DHIGH_BIT_DEPTH=0 -DBIT_DEPTH=8
	-@ $(if $(STRIP), $(STRIP) -x $@)

%-10.o: %.S
	$(AS) $(ASFLAGS) -o $@ $< -DHIGH_BIT_DEPTH=1 -DBIT_DEPTH=10
	-@ $(if $(STRIP), $(STRIP) -x $@)

%.dll.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ -DDLL $<

%.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ $<

.depend: config.mak
	@rm -f .depend
	@echo 'dependency file generation...'
ifeq ($(COMPILER),CL)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO) $(SRCEXAMPLE)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.c=%.o)" 1>> .depend;)
ifneq ($(findstring HAVE_BITDEPTH8 1, $(CONFIG)),)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS_X) $(SRCS_8) $(SRCCLI_X) $(SRCCHK_X)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.c=%-8.o)" 1>> .depend;)
endif
ifneq ($(findstring HAVE_BITDEPTH10 1, $(CONFIG)),)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS_X) $(SRCCLI_X) $(SRCCHK_X)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.c=%-10.o)" 1>> .depend;)
endif
else
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO) $(SRCEXAMPLE)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.c=%.o) $(DEPMM) 1>> .depend;)
ifneq ($(findstring HAVE_BITDEPTH8 1, $(CONFIG)),)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS_X) $(SRCS_8) $(SRCCLI_X) $(SRCCHK_X)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.c=%-8.o) $(DEPMM) 1>> .depend;)
endif
ifneq ($(findstring HAVE_BITDEPTH10 1, $(CONFIG)),)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS_X) $(SRCCLI_X) $(SRCCHK_X)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.c=%-10.o) $(DEPMM) 1>> .depend;)
endif
endif

config.mak:
	./configure

depend: .depend
ifneq ($(wildcard .depend),)
include .depend
endif

OBJPROF = $(OBJS) $(OBJCLI)
# These should cover most of the important codepaths
OPT0 = --crf 30 -b1 -m1 -r1 --me dia --no-cabac --direct temporal --ssim --no-weightb
OPT1 = --crf 16 -b2 -m3 -r3 --me hex --no-8x8dct --direct spatial --no-dct-decimate -t0  --slice-max-mbs 50
OPT2 = --crf 26 -b4 -m5 -r2 --me hex --cqm jvt --nr 100 --psnr --no-mixed-refs --b-adapt 2 --slice-max-size 1500
OPT3 = --crf 18 -b3 -m9 -r5 --me umh -t1 -A all --b-pyramid normal --direct auto --no-fast-pskip --no-mbtree
OPT4 = --crf 22 -b3 -m7 -r4 --me esa -t2 -A all --psy-rd 1.0:1.0 --slices 4
OPT5 = --frames 50 --crf 24 -b3 -m10 -r3 --me tesa -t2
OPT6 = --frames 50 -q0 -m9 -r2 --me hex -Aall
OPT7 = --frames 50 -q0 -m2 -r1 --me hex --no-cabac

ifeq (,$(VIDS))
fprofiled:
	@echo 'usage: make fprofiled VIDS="infile1 infile2 ..."'
	@echo 'where infiles are anything that x264 understands,'
	@echo 'i.e. YUV with resolution in the filename, y4m, or avisynth.'
else
fprofiled:
	$(MAKE) clean
	$(MAKE) x264$(EXE) CFLAGS="$(CFLAGS) $(PROF_GEN_CC)" LDFLAGS="$(LDFLAGS) $(PROF_GEN_LD)"
	$(foreach V, $(VIDS), $(foreach I, 0 1 2 3 4 5 6 7, ./x264$(EXE) $(OPT$I) --threads 1 $(V) -o $(DEVNULL) ;))
ifeq ($(COMPILER),CL)
# Because Visual Studio timestamps the object files within the PGD, it fails to build if they change - only the executable should be deleted
	rm -f x264$(EXE)
else
	rm -f $(OBJPROF)
endif
	$(MAKE) CFLAGS="$(CFLAGS) $(PROF_USE_CC)" LDFLAGS="$(LDFLAGS) $(PROF_USE_LD)"
	rm -f $(OBJPROF:%.o=%.gcda) $(OBJPROF:%.o=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock *.pgd *.pgc
endif

clean:
	rm -f $(OBJS) $(OBJASM) $(OBJCLI) $(OBJSO) $(GENERATED) .depend TAGS
	rm -f $(SONAME) *.a *.lib *.exp *.pdb x264$(EXE) x264_lookahead.clbin
	rm -f checkasm8$(EXE) checkasm10$(EXE) $(OBJCHK) $(OBJCHK_8) $(OBJCHK_10)
	rm -f example$(EXE) $(OBJEXAMPLE)
	rm -f $(OBJPROF:%.o=%.gcda) $(OBJPROF:%.o=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock *.pgd *.pgc

distclean: clean
	rm -f config.mak x264_config.h config.h config.log x264.pc x264.def
	rm -rf conftest*

install-cli: cli
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) x264$(EXE) $(DESTDIR)$(bindir)

install-lib-dev:
	$(INSTALL) -d $(DESTDIR)$(includedir)
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig

=== debian/changelog ===
x264 (2:0.155.2917+git0a84d98-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Dec 2018 13:51:39 -0800

x264 (2:0.155.2917+git0a84d98-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Sep 2018 22:03:40 +0200

x264 (2:0.155.2917+git0a84d98-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.155.2917+git0a84d98
  * Drop custom 10bit build, upstream supports this as runtime option now
  * Update debian/control for soname bump
  * Regenerate manpage
  * Update copyright years

  [ Sebastian Ramacher ]
  * debian/{rules,confflags}:
    - Use dpkg include for architecture variables.
    - Fix dh_install --list-missing warning.
    - Remove cruft.
    - Handle CPPFLAGS.
  * debian/patches: Export x264_stack_align.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Drop obsolete dpkg-dev B-D.
    - Bump Standards-Version.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Aug 2018 17:25:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: x264
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends:
- debhelper (>= 9.20160115),
- dpkg-dev (>= 1.17.14),
+ debhelper (>= 11),
  libavformat-dev (>= 6:9) <!stage1>,
  libffms2-dev <!stage1>,
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  nasm (>= 2.13) [any-i386 any-amd64]
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/x264.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/x264.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/x264.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/x264
 Homepage: http://www.videolan.org/developers/x264.html
 
 Package: x264
@@ -48,7 +48,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-152
+Package: libx264-155
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -65,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-152 (= ${binary:Version}),
+ libx264-155 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)

=== debian/rules ===
#!/usr/bin/make -f

libx264N := libx264-$(shell awk '/\#define X264_BUILD/{print $$3}' x264.h)

include /usr/share/dpkg/architecture.mk
include debian/confflags

DH_INSTALL_FILES = debian/$(libx264N).install \
                   debian/libx264-dev.install

%:
	dh $@

.PHONY: debian/control
debian/control:
	sed -e 's/@libx264N@/$(libx264N)/g' $@.in > $@

$(DH_INSTALL_FILES):
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $(subst $(libx264N),libx264N,$@).in > $@

override_dh_auto_build:
	# Build static lib
	CFLAGS="$(extra_cflags)" LDFLAGS="$(LDFLAGS)" ./configure $(static_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/static
	$(MAKE) distclean
	# Build shared lib
	CFLAGS="$(extra_cflags)" LDFLAGS="$(LDFLAGS)" ./configure $(shared_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/shared
ifeq ($(do_opt),yes)
	$(MAKE) distclean
	# Build opt lib
	LDFLAGS="$(LDFLAGS)" ./configure $(opt_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/opt
endif

override_dh_auto_configure:
	# dh_auto_configure phase handled via dh_auto_build.

override_dh_auto_install:
	# dh_auto_install phase handled via dh_auto_build.

override_dh_auto_clean: debian/control
	rm -rf debian/install
	$(MAKE) -o config.mak distclean
	dh_clean config.mak2 $(DH_INSTALL_FILES)

override_dh_install: $(DH_INSTALL_FILES)
	dh_install --sourcedir=debian/install
ifeq ($(do_opt),yes)
	mkdir -p debian/$(libx264N)$(opt_libdir)
	cp -a debian/install/opt$(opt_libdir)/*.so.* debian/$(libx264N)$(opt_libdir)
endif

override_dh_missing:
	dh_missing --list-missing --sourcedir=debian/install

override_dh_strip:
	dh_strip --no-automatic-dbgsym

debian/x264.1: build
	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/install/shared/usr/lib/$(DEB_HOST_MULTIARCH)" \
	help2man -n "fast h264 encoder" -N -s1 -S "Videolan project" -h '--fullhelp' \
		debian/install/shared/usr/bin/x264 > debian/x264.1

## x264 0.160.3011+gitcde9a93

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,9 @@
 vpath %.S $(SRCPATH)
 vpath %.asm $(SRCPATH)
 vpath %.rc $(SRCPATH)
+
+CFLAGS += $(CFLAGSPROF)
+LDFLAGS += $(LDFLAGSPROF)
 
 GENERATED =
 
@@ -27,8 +30,8 @@
 
 SRCS_8 =
 
-SRCCLI = x264.c input/input.c input/timecode.c input/raw.c input/y4m.c \
-         output/raw.c output/matroska.c output/matroska_ebml.c \
+SRCCLI = x264.c autocomplete.c input/input.c input/timecode.c input/raw.c \
+         input/y4m.c output/raw.c output/matroska.c output/matroska_ebml.c \
          output/flv.c output/flv_bytestream.c filters/filters.c \
          filters/video/video.c filters/video/source.c filters/video/internal.c \
          filters/video/resize.c filters/video/fix_vfr_pts.c \
@@ -52,11 +55,6 @@
 OBJEXAMPLE =
 
 CONFIG := $(shell cat config.h)
-
-# GPL-only files
-ifneq ($(findstring HAVE_GPL 1, $(CONFIG)),)
-SRCCLI +=
-endif
 
 # Optional module sources
 ifneq ($(findstring HAVE_AVS 1, $(CONFIG)),)
@@ -251,6 +249,8 @@
 $(SONAME): $(GENERATED) .depend $(OBJS) $(OBJASM) $(OBJSO)
 	$(LD)$@ $(OBJS) $(OBJASM) $(OBJSO) $(SOFLAGS) $(LDFLAGS)
 
+$(IMPLIBNAME): $(SONAME)
+
 ifneq ($(EXE),)
 .PHONY: x264 checkasm8 checkasm10 example
 x264: x264$(EXE)
@@ -271,6 +271,9 @@
 example$(EXE): $(GENERATED) .depend $(OBJEXAMPLE) $(LIBX264)
 	$(LD)$@ $(OBJEXAMPLE) $(LIBX264) $(LDFLAGS)
 
+$(OBJS) $(OBJSO): CFLAGS += $(CFLAGSSO)
+$(OBJCLI): CFLAGS += $(CFLAGSCLI)
+
 $(OBJS) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK) $(OBJCHK_8) $(OBJCHK_10) $(OBJEXAMPLE): .depend
 
 %.o: %.c
@@ -341,7 +344,7 @@
 include .depend
 endif
 
-OBJPROF = $(OBJS) $(OBJCLI)
+OBJPROF = $(OBJS) $(OBJSO) $(OBJCLI)
 # These should cover most of the important codepaths
 OPT0 = --crf 30 -b1 -m1 -r1 --me dia --no-cabac --direct temporal --ssim --no-weightb
 OPT1 = --crf 16 -b2 -m3 -r3 --me hex --no-8x8dct --direct spatial --no-dct-decimate -t0  --slice-max-mbs 50
@@ -358,9 +361,8 @@
 	@echo 'where infiles are anything that x264 understands,'
 	@echo 'i.e. YUV with resolution in the filename, y4m, or avisynth.'
 else
-fprofiled:
-	$(MAKE) clean
-	$(MAKE) x264$(EXE) CFLAGS="$(CFLAGS) $(PROF_GEN_CC)" LDFLAGS="$(LDFLAGS) $(PROF_GEN_LD)"
+fprofiled: clean
+	$(MAKE) x264$(EXE) CFLAGSPROF="$(PROF_GEN_CC)" LDFLAGSPROF="$(PROF_GEN_LD)"
 	$(foreach V, $(VIDS), $(foreach I, 0 1 2 3 4 5 6 7, ./x264$(EXE) $(OPT$I) --threads 1 $(V) -o $(DEVNULL) ;))
 ifeq ($(COMPILER),CL)
 # Because Visual Studio timestamps the object files within the PGD, it fails to build if they change - only the executable should be deleted
@@ -368,7 +370,7 @@
 else
 	rm -f $(OBJPROF)
 endif
-	$(MAKE) CFLAGS="$(CFLAGS) $(PROF_USE_CC)" LDFLAGS="$(LDFLAGS) $(PROF_USE_LD)"
+	$(MAKE) CFLAGSPROF="$(PROF_USE_CC)" LDFLAGSPROF="$(PROF_USE_LD)"
 	rm -f $(OBJPROF:%.o=%.gcda) $(OBJPROF:%.o=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock *.pgd *.pgc
 endif
 
@@ -388,6 +390,4 @@
 	$(INSTALL) x264$(EXE) $(DESTDIR)$(bindir)
 
 install-lib-dev:
-	$(INSTALL) -d $(DESTDIR)$(includedir)
-	$(INSTALL) -d $(DESTDIR)$(libdir)
-	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
+	$(INSTALL) -d $(DESTDIR)$(includedir) $(DESTDIR)$(libdir)/pkgconfig

=== debian/changelog ===
x264 (2:0.160.3011+gitcde9a93-3) unstable; urgency=medium

  * changelog debhelper.

 -- Hu Feng <hufeng@unionteh.com>  Thu, 25 Aug 2022 15:49:57 +0800

x264 (2:0.160.3011+gitcde9a93-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix to support GPAC >= 0.8.0. (Closes: #975441)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 15:06:22 +0300

x264 (2:0.160.3011+gitcde9a93-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/rules: Fix awk invocation to work with make 4.2 and 4.3 (Closes:
    #966241)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jul 2020 16:52:56 +0200

x264 (2:0.160.3011+gitcde9a93-1) experimental; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.160.3011+gitcde9a93
  * Update debian/control for soname bump
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 13 Jul 2020 21:29:33 +0200

x264 (2:0.159.2999+git296494a-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jul 2020 18:46:44 +0200

x264 (2:0.159.2999+git296494a-1) experimental; urgency=medium

  [ Fabian Greffrath ]
  * Remove myself from Uploaders

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.159.2999+git296494a
  * Drop upstreamed "Export x264_stack_align" patch
  * Update debian/control for soname bump
  * Regenerate manpage

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhlper compat to 13
    - Bump Standards-Version
    - Set RRR: no
  * debian/copyright: Bump copyright years
  * debian/rules: Fix awk invocation

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 21 Jun 2020 15:52:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: x264
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Fabian Greffrath <fabian+debian@greffrath.com>,
  Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libavformat-dev (>= 6:9) <!stage1>,
  libffms2-dev <!stage1>,
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  nasm (>= 2.13) [any-i386 any-amd64]
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/x264.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/x264
 Homepage: http://www.videolan.org/developers/x264.html
+Rules-Requires-Root: no
 
 Package: x264
 Section: graphics
@@ -48,7 +47,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-155
+Package: libx264-160
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -65,7 +64,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-155 (= ${binary:Version}),
+ libx264-160 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)

## x264 0.160.3011.1+dde

=== debian/changelog ===
x264 (2:0.160.3011.1+dde-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Aug 2022 21:31:54 +0800
